%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name pybind11

Name: python%{python_suffix}-%{pypi_name}
Version: 2.8.1
Release: 2
License: BSD-3-Clause
Summary: Seamless operability between C++11 and Python
Url: https://github.com/pybind/pybind11
BuildArch: noarch

Source0: https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip
BuildRequires: cmake

%description
pybind11 is a lightweight header-only library that exposes C++ types in Python 
and vice versa, mainly to create Python bindings of existing C++ code.

%prep

%setup -q -n %{pypi_name}-%{version}

%build
%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-py2.py3-none-any.whl

%if ! %{with base_python}
rm %{buildroot}%{_bindir}/pybind11-config
%endif

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%license LICENSE

%{python_sitelib}/pybind11*
%if %{with base_python}
%{_bindir}/pybind11-config
%endif

%changelog
* Wed Dec 8 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 2.8.1
- Initial spec
